Page MenuHomePhabricator

[mips] Added support for using the command line options -Wa,-msoft-float and -Wa,-mhard-float.
ClosedPublic

Authored by s.egerton on Sep 3 2015, 9:18 AM.

Diff Detail

Event Timeline

s.egerton updated this revision to Diff 33950.Sep 3 2015, 9:18 AM
s.egerton retitled this revision from to [mips] Added support for using the command line options -Wa,-msoft-float and -Wa,-mhard-float..
s.egerton updated this object.
s.egerton added reviewers: dsanders, vkalintiris.
s.egerton added a subscriber: cfe-commits.
dsanders accepted this revision.Sep 16 2015, 5:38 AM
dsanders edited edge metadata.

LGTM

It's not for this patch but I think we need a general solution to the -Wa,... options. It seems wrong to implement each assembler option twice (both with and without the '-Wa,').

This revision is now accepted and ready to land.Sep 16 2015, 5:38 AM
dsanders closed this revision.Sep 22 2015, 6:54 AM